Texa Desk Application API · Account
Update account
PATCH/
Update account details, settings, and custom attributes
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
account_idintegerrequiredThe numeric ID of the account
Body application/json
namestringName of the account
localestringThe locale of the account
domainstringThe domain of the account
support_emailstringThe support email of the account
auto_resolve_afterintegerAuto resolve conversations after specified minutes
auto_resolve_messagestringMessage to send when auto resolving
auto_resolve_ignore_waitingbooleanWhether to ignore waiting conversations for auto resolve
industrystringIndustry type
company_sizestringCompany size
timezonestringAccount timezone
Responses
200Success
idnumberAccount ID
namestringName of the account
localestringThe locale of the account
domainstringThe domain of the account
support_emailstringThe support email of the account
statusstringThe status of the account
created_atstring (date-time)The creation date of the account
cache_keysobjectCache keys for the account
featuresobjectEnabled features for the account
settingsobjectAccount settings
settings.auto_resolve_afternumberAuto resolve conversations after specified minutes
settings.auto_resolve_messagestringMessage to send when auto resolving
settings.auto_resolve_ignore_waitingbooleanWhether to ignore waiting conversations for auto resolve
custom_attributesobjectCustom attributes of the account
custom_attributes.plan_namestringSubscription plan name
custom_attributes.subscribed_quantitynumberSubscribed quantity
custom_attributes.subscription_statusstringSubscription status
custom_attributes.subscription_ends_onstring (date)Subscription end date
custom_attributes.industrystringIndustry type
custom_attributes.company_sizestringCompany size
custom_attributes.timezonestringAccount timezone
custom_attributes.logostringAccount logo URL
custom_attributes.onboarding_stepstringCurrent onboarding step
custom_attributes.marked_for_deletion_atstring (date-time)When account was marked for deletion
custom_attributes.marked_for_deletion_reasonstringReason for account deletion
401Unauthorized (requires administrator role)
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404Account not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring422Validation error
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring